# aws_netapp_cvs_active_directory – NetApp AWS CloudVolumes Service Manage Active Directory

New in version 2.9.

- Synopsis
- Parameters
- Notes
- Examples
- Status

## Synopsis

- Create, Update, Delete ActiveDirectory on AWS Cloud Volumes Service.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
api_key string / required |  | The access key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.
api_url string / required |  | The url to the AWSCVS Web Services Proxy or Embedded Web Services API.
DNS string |  | DNS server address for the Active Directory domain Required when `state=present` Required when `state=present`, to modify ActiveDirectory properties.
domain string / required |  | Name of the Active Directory domain
netBIOS string |  | NetBIOS name of the server.
password string |  | Password of the Active Directory domain administrator
region string / required |  | The region to which the Active Directory credentials are associated.
secret_key string / required |  | The secret_key to authenticate with the AWSCVS Web Services Proxy or Embedded Web Services API.

state
string / required

Choices:
- present
- absent

Whether the specified ActiveDirectory should exist or not.

username string |  | Username of the Active Directory domain administrator

validate_certs
boolean

Choices:
- no
- yes ←

Should https certificates be validated?

## Notes

Note

- The modules prefixed with aws_cvs_netapp are built to Manage AWS Cloud Volume Service .

## Examples

    - name: Create Active Directory
      aws_netapp_cvs_active_directory.py:
        state: present
        region: us-east-1
        DNS: 101.102.103.123
        domain: mydomain.com
        password: netapp1!
        netBIOS: testing
        username: user1
        api_url : My_CVS_Hostname
        api_key: My_API_Key
        secret_key : My_Secret_Key

    - name: Update Active Directory
      aws_netapp_cvs_active_directory.py:
        state: present
        region: us-east-1
        DNS: 101.102.103.123
        domain: mydomain.com
        password: netapp2!
        netBIOS: testingBIOS
        username: user2
        api_url : My_CVS_Hostname
        api_key: My_API_Key
        secret_key : My_Secret_Key

    - name: Delete Active Directory
      aws_netapp_cvs_active_directory.py:
        state: absent
        region: us-east-1
        domain: mydomain.com
        api_url : My_CVS_Hostname
        api_key: My_API_Key
        secret_key : My_Secret_Key

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by an Ansible Partner. [certified]

### Authors

- NetApp Ansible Team (@carchi8py) <ng-ansibleteam@netapp.com>

Hint

If you notice any issues in this documentation, you can edit this document to improve it.